config LED_STRIP_MAX_LEDS
	depends on CAP_LED_STRIP
	int "最大灯珠数"
	range 1 164
	default 164

config LED_STRIP_MIN_LEDS
	depends on CAP_LED_STRIP
	int "最小灯珠数"
	range 1 68
	default 64

config LED_STRIP_DEFAULT_LEDS
	depends on CAP_LED_STRIP
	int "默认灯珠数"
	range 1 LED_STRIP_MAX_LEDS
	default LED_STRIP_MAX_LEDS

config LED_STRIP_MAX_LAYER
	depends on CAP_LED_STRIP
	int "最大图层数"
	range 1 8
	default 2

menuconfig LED_STRIP_RACING_MODE
		depends on CAP_LED_STRIP
		bool "编译竞速模式"
		default n
		help
			竞速飞塔项目新增的选项，通过收藏列表中的默认主题快速来实现仅一个简单的效果

	config LED_STRIP_DEFAULT_FAVORITE_ID
		depends on LED_STRIP_RACING_MODE
		int "选择默认主题。对应代码中 led_ctrl_playmode_t 的枚举值"
		range 1 14
		default 18
			
